# Error Handling

## Error Handling

Error responses will include informative messages to help troubleshoot issues:

### Method Errors

```
If you use an incorrect HTTP method:
```

```json
{"error": "Method Not Allowed POST: /webapi/apps"}
```

### Missing Input Errors

If required inputs are missing (e.g., when running an LLM App):

```json
{"errors": "internal error. Expecting value: line 1 column 1 (char 0)"}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.allganize.ai/api-reference/error-handling.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
